FunctionInfo (JSP 2.3 API Documentation - Apache Tomcat 9.0.69)

Package javax.servlet.jsp.tagext

## Class FunctionInfo

- java.lang.Object
- - javax.servlet.jsp.tagext.FunctionInfo

-     public class FunctionInfo
      extends java.lang.Object

  Information for a function in a Tag Library. This class is instantiated from the Tag Library Descriptor file (TLD) and is available only at translation time.
  Since:
    JSP 2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FunctionInfo​(java.lang.String name, java.lang.String klass, java.lang.String signature)` | Constructor for FunctionInfo.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getFunctionClass()` | The class of the function.
    `java.lang.String` | `getFunctionSignature()` | The signature of the function.
    `java.lang.String` | `getName()` | The name of the function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionInfo

          public FunctionInfo​(java.lang.String name,
                              java.lang.String klass,
                              java.lang.String signature)

      Constructor for FunctionInfo.
      Parameters:
        `name` - The name of the function
        `klass` - The class of the function
        `signature` - The signature of the function

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      The name of the function.
      Returns:
        The name of the function

    - #### getFunctionClass

          public java.lang.String getFunctionClass()

      The class of the function.
      Returns:
        The class of the function

    - #### getFunctionSignature

          public java.lang.String getFunctionSignature()

      The signature of the function.
      Returns:
        The signature of the function